Name:           python-ewah-bool-utils
Version:        1.2.2
Release:        %mkrel 4
Summary:        EWAH Bool Array utils for yt
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/yt-project/ewah_bool_utils
Source0:        https://files.pythonhosted.org/packages/source/e/ewah-bool-utils/ewah_bool_utils-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(cython) >= 3
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-numpy-devel

%description
EWAH Bool Array utils for yt

* EWAH Bool Array compression stores integer arrays efficient in memory.
* Can be used for indexing arrays.

%package -n python3-ewah-bool-utils
Summary:        EWAH Bool Array utils for yt
Group:          Development/Python

%description -n python3-ewah-bool-utils
EWAH Bool Array utils for yt

* EWAH Bool Array compression stores integer arrays efficient in memory.
* Can be used for indexing arrays.

%prep
%autosetup -p1 -n ewah_bool_utils-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ewah_bool_utils

%check
export PYTEST_ADDOPTS="--import-mode=append"
#pytest

%files -n python3-ewah-bool-utils -f %{pyproject_files}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.2.2-4.mga10
+ Revision: 2239858
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.2.2-3.mga10
+ Revision: 2156950
- rebuild for python3.13

* Wed Aug 21 2024 papoteur <papoteur> 1.2.2-2.mga10
+ Revision: 2087303
- remove fix of numpy version
- version 1.2.2

* Wed Aug 21 2024 papoteur <papoteur> 1.2.1-2.mga10
+ Revision: 2087283
- rebuild for numpy 2.x

* Sat May 25 2024 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2067458
- new version: 1.2.1

* Mon Apr 22 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2060509
- new version: 1.2.0

* Sun Dec 31 2023 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2024747
- initial package python-ewah-bool-utils

